#include <bits/stdc++.h>
using namespace std;


long long int n, l;
long long int H[1050];

int main()
{
    cin>>n>>l;
        for(int i=0; i<n; i++){
            cin>>H[i];
        }
    for(int i=0; i<n; i++){
        if(H[i]>=l){
            cout<<i<<endl;
            break;
        }
        else if(i+1==n and H[i]<l) cout<<"-1"<<endl;
    }
    return 0;
}